require 'spec_helper'

describe Qunar::Hotel do 
	bj_sample = Qunar::Hotel.new('beijing_city_2933')

	it "has name '北京诺富特三元酒店'" do 
		# subject.name.should == '北京诺富特三元酒店'
		expect(bj_sample.name).to eq '北京诺富特三元酒店'
	end

	it "has star 4" do
		expect(bj_sample.star).to eq 4
	end

	it "has citynameEn 'beijing'" do
		expect(bj_sample.citynameEn).to eq "beijing"
	end

	it "has citynameCn '北京' " do
		expect(bj_sample.citynameCn).to eq "北京"
	end

	it "has id '2933' " do
		expect(bj_sample.id).to eq "2933"
	end

	it "has address '北京朝阳区曙光西里A5号18座' " do
		expect(bj_sample.address).to eq '北京朝阳区曙光西里A5号18座'
	end

	it "has phone '010-58296666'" do
		expect(bj_sample.phone).to eq "010-58296666"
	end

	
	it "has desc '北京诺富特三元酒店坐落于三元桥东北角，紧靠地铁十号线以及机场快轨线，周边老国展中心和商业中心繁盛，交通十分便捷。 距机场仅 约16分钟车程。酒店距使馆区、燕莎购物中心、秀水街和3个展览中心仅几分钟车程。' " do
		expect(bj_sample.desc).to eq "北京诺富特三元酒店坐落于三元桥东北角，紧靠地铁十号线以及机场快轨线，周边老国展中心和商业中心繁盛，交通十分便捷。 距机场仅 约16分钟车程。酒店距使馆区、燕莎购物中心、秀水街和3个展览中心仅几分钟车程。"
	end


	it "has opentime '2008' " do
		expect(bj_sample.opentime).to eq "2008"
	end

	it "has reference_price '498'" do
		expect(bj_sample.reference_price).to eq '498'
	end	


	it "has coordinate ['39.961277','116.45537'] " do
		expect(bj_sample.coordinate).to eq ['39.961277','116.45537']
	end

	#=====================================================================================================

	
	gz_sample = Qunar::Hotel.new('guangzhou_49')

	it "has name '广州长隆酒店'" do 
		# subject.name.should == '北京诺富特三元酒店'
		expect(gz_sample.name).to eq '广州长隆酒店'
	end

	it "has star 5" do
		expect(gz_sample.star).to eq 5
	end

	it "has citynameEn 'guangzhou'" do
		expect(gz_sample.citynameEn).to eq "guangzhou"
	end

	it "has citynameCn '广州' " do
		expect(gz_sample.citynameCn).to eq "广州"
	end

	it "has id '49' " do
		expect(gz_sample.id).to eq "49"
	end

	it "has address '广州市番禺区番禺大道' " do
		expect(gz_sample.address).to eq '广州市番禺区番禺大道'
	end

	it "has phone '020-84786838'" do
		expect(gz_sample.phone).to eq "020-84786838"
	end

end